﻿.dd-overview-container {
	box-shadow: 0.125rem 0.125rem 0.625rem rgba(0, 0, 0, 0.3);
	position: absolute;
	top: 1.25rem;
	right: 1.25rem;
	width: 12.5rem;
	height: 14.375rem;
	margin: 3.4375rem 3.125rem 3.125rem 0.9375rem;
	z-index: 12;
	background: #f7f7f7;
	overflow: hidden;
	transition: height 1s cubic-bezier(0.23, 1, 0.32, 1) 0s;
}

	.dd-overview-container .dd-overview-header {
		background-color: #337ab7;
		color: white;
		font-size: 1.5em;
		text-align: center;
		height: 1.875rem;
		line-height: 1.875rem;
		transition: background-color 0.3s cubic-bezier(0.23, 1, 0.32, 1) 0s;
	}
/*
	.dd-overview-container .dd-overview-header:after {
		content: '';
		background: url(../icons/header-angle.svg) no-repeat 80%;
		background-size: 20px 20px;
		width: 30px;
		height: 30px;
		position: absolute;
		top: 0;
		left: 0;
		transform: rotate(90deg);
		transition: transform 0.3s cubic-bezier(0.23, 1, 0.32, 1) 0s;
	}

	.dd-overview-container .dd-overview-header:hover {
		background-color: #38434f;
		cursor: pointer;
	}
*/
	.dd-overview-container.collapsed {
		height: 1.875rem;
	}

	.dd-overview-container.collapsed .dd-overview-header:after {
		transform: rotate(0deg);
	}

	.dd-overview-container .yfiles-canvascomponent {
		height: 12.5rem;
		width: 100%;
	}

@media screen and (max-width: 40rem ) {
	.dd-overview-container {
		visibility: hidden;
	}
}

@media screen and (max-height: 31.25rem) {
	.dd-overview-container {
		visibility: hidden;
	}
}
.dd-top {
	/**/ position: absolute;
	left: 0px;
	top: 0px;
	width: 100%;
	height: 7.25rem;
	background-color: var(--alfa-background-color-primary);
}


.dd-header-row {
	height: 4.25rem;
	padding-top: 0.1875rem;
	border: 0 solid #efefef;
	border-bottom-width: 0px;
	box-sizing: border-box;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
}



.dd-toolbar {
	position: absolute;
	/*box-shadow: 0 2px 10px rgba(0, 0, 0, 0.3);*/
	z-index: 12;
	top: 4.3125rem;
	left: 0px;
	right: 18.75rem;
	height: 2.5rem;
	line-height: 2.5rem;
	padding: 0 0.3125rem;
	box-sizing: border-box;
	user-select: none;
	transition: left 0.5s cubic-bezier(0.23, 1, 0.32, 1) 0s;
	transition: padding 0.5s cubic-bezier(0.23, 1, 0.32, 1);
	border: 0 solid #efefef;
	border-bottom-width: 0px;
	border-left: 0px solid #d5d7d8;
}

.dd-toolbar-right {
	position: absolute;
	z-index: 12;
	top: 4.3125rem;
	right: 0px;
	height: 2.5rem;
	width: 18.75rem;
	line-height: 2.5rem;
	padding: 0 0.3125rem;
	box-sizing: border-box;
	user-select: none;
	background-color: var(--alfa-background-color-primary);
	transition: left 0.5s cubic-bezier(0.23, 1, 0.32, 1) 0s;
	transition: padding 0.5s cubic-bezier(0.23, 1, 0.32, 1);
	/*border: 0 solid #efefef;*/
	border-bottom-width: 0.125rem;
	/*border-left: 1px solid #d5d7d8;*/
}

	.dd-toolbar .dx-toolbar,
	.dd-toolbar-right .dx-toolbar {
		background-color: var(--alfa-background-color-primary);
	}

.dd-left {
	/**/ position: absolute;
	left: 0px;
	top: 6.8125rem;
	width: 20rem;
	bottom: 0px;
	background-color: var(--alfa-background-color-primary);
	padding-top: 0.625rem;
	padding-left: 0.625rem;
	border-right: 1px solid #d5d7d8;
	overflow: auto;
}

	.dd-left .dx-toolbar .dx-toolbar-items-container {
		height: 100%;
	}

.dd-bottom {
	/**/ position: absolute;
	left: 0px;
	bottom: 0px;
	width: 100%;
	height: 1.25rem;
	background-color: #efefef;
}

.dd-status-text {
	color: #158EB7;
	margin-left: 0.9375rem;
}

.dd-content {
	/**/ position: absolute;
	left: 20rem;
	top: 6.8125rem;
	right: 0px;
	bottom: 0px;
}
.dd-content-canvas {
	background-color: var(--alfa-background-color-primary); /* lightgray;*/
}
.dd-content-background {
	fill: var(--alfa-background-color-primary);
	stroke: lightgray;
	stroke-width: 1px;
	stroke-dasharray: 3,3;
}

/*
	.dd-toolbar button {
		line-height: normal;
		height: 24px;
	}

	.dd-toolbar button,
	.dd-toolbar label[class^='dd-icon-'] {
		display: inline-block;
		outline: none;
		border: none;
		height: 24px;
		width: 24px;
		background-repeat: no-repeat;
		background-position: 50% 50%;
		background-color: transparent;
		line-height: 24px;
		box-sizing: border-box;
		padding: 0;
		cursor: pointer;
	}
*/
.dd-caption {
	display: inline-block;
	font-size: 1rem;
	font-weight: normal;
	margin-left: 0px;
	color: var(--alfa-text-color-primary);
	line-height: 1.5rem;
	white-space: pre;
	overflow: hidden;
	text-overflow: ellipsis;
	max-width: 80%;
	height: 1.75rem;
}

.dd-lastUpdate {
	background-color: var(--alfa-background-color-primary);
	color: var(--alfa-text-color-primary);
	text-shadow: none;
	margin-left: 0px;
	font-size: 1rem;
	position: relative;
	line-height: 1.5rem;
	display: inline-block;
	overflow: hidden;
	white-space: pre;
	text-overflow: ellipsis;
	max-width: 33%;
}

.dd-tbox-sep {
	height: 1px;
	margin-top: 0.875rem;
	margin-bottom: 0.9375rem;
	border-bottom: 1px solid #C8C8C8;
}

.dd-tbox-dragged {
	background: var(--alfa-background-color-primary); /*	#FFFFFF;*/
	border: 1px solid var(--alfa-text-color-primary); /*	#BFC1C3;*/
	/* Shadow-Flyout */
	box-shadow: 0px 0.5rem 1rem rgba(0, 0, 0, 0.08);
	border-radius: 0.25rem;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	padding: 0px;
	width: 3.125rem;
	height: 3.5rem;
}

.dd-tbox-row {
	border-left: 0.25rem solid transparent;
	color: var(--alfa-text-color-primary);
	height: 2rem;
	pointer-events: all;
	cursor: pointer;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	vertical-align: middle;
	padding-top: 0.5rem;
	padding-left: 0.375rem;
}

.dd-tbox-row.active {
	border-left:0.25rem solid #1D5077;/*7px solid #158eb7;*/
}

.dd-tbox-row-in {
	position:relative;
	pointer-events: all;
	border: 1px solid transparent;
}

div.dd-tbox-row:focus .dd-tbox-row-in {
	border: 1px dotted #787878;
	outline: none;
	font-weight: normal;
}

.dd-tbox-row:hover {
	background-color: inherit;
	-webkit-transition: background-color .25s;
	-moz-transition: background-color .25s;
	-o-transition: background-color .25s;
	-ms-transition: background-color .25s;
	transition: background-color .25s;
}

.dd-tbox-row-img {
	display: inline-block;
	width: 1.375rem;
	height: 1.375rem;
	background-color: var(--alfa-text-color-primary);
	/*vertical-align: middle;*/
}
.dd-tbox-row-i-alfa {
	font-size:1.375rem;
}
.dd-tbox-row-text-super {
	display: inline-block;
	vertical-align: super;
	margin-left: 0.9375rem;
}


.dd-tbox-row-text {
	display: inline-block;
	vertical-align: middle;
	margin-left: 0.9375rem;
}

.dd-tbox-row-img-csign {
	position: absolute;
	left: 1.1875rem;
	top: 0px;
}

.dd-tbox-drop-notallowed {
	cursor:no-drop;
}
.dd-tbox-drop-allowed {
	cursor: default;
}

.dd-tarea {
	resize: none;
	text-align: left;
	color: #787878;
	line-height: 1.0625rem;
	padding-right: 0.375rem !important;
	padding-left: 0.375rem !important;
	font-size: 0.75rem;
	/*font-family:monospace;*/ font-family: inherit;
	border-top-color: #c8c8c8;
	border-right-color: #c8c8c8;
	border-bottom-color: #c8c8c8;
	border-left-color: #c8c8c8;
	border-top-width: 1px;
	border-right-width: 1px;
	border-bottom-width: 1px;
	border-left-width: 1px;
	border-top-style: solid;
	border-right-style: solid;
	border-bottom-style: solid;
	border-left-style: solid;
	border-top-left-radius: 0.125rem;
	border-top-right-radius: 0.125rem;
	border-bottom-right-radius: 0.125rem;
	border-bottom-left-radius: 0.125rem;
	background-color: rgb(255, 255, 255);
	min-width: 3.125rem;
	min-height: 1.875rem;
	overflow: auto; /*to remove always visible scroll bar in IE*/
}

.dd-tarea-measure {
	position: absolute;
	left: -62.5rem;
	top: -62.5rem;
	width: auto;
	height: auto;
	font-size: 0.75rem;
	/*font-family:monospace;*/ font-family: inherit;
	text-align: left;
	color: #787878;
	line-height: 1.0625rem;
	visibility: hidden;
	overflow: visible;
	word-wrap: break-word;
	padding-right: 0.375rem;
	padding-left: 0.375rem;
}

.dd-tbar-color-dropdown {
	border-bottom: 0.1875rem solid transparent;
}



.dd-tbar-color-item {
	border: 0.125rem solid transparent;
}

.dd-tbar-color-item:hover {
		border: 0.125rem solid green;
	}


.dd-tbar-color {
	cursor: pointer;
}
.dd-tbar-white-color {
	font: 0.875rem/1 DXIcons;
	color: lightgray;
}
.dd-tbar-white-color::before {
	content: "\f11a";
}

.dd-top .po_toolbar .dx-menu .dx-menu-item-content {
	color: var(--alfa-text-color-primary);
}

.dd-top .po_toolbar .dx-menu .dx-menu-item-has-text.dx-menu-item-has-submenu .dx-menu-item-text,
.dd-top .po_toolbar .dx-menu-base .dx-menu-item-content .dx-menu-item-text {
	color: var(--alfa-text-color-primary);
}

.dd-top .po_toolbar .dx-button .dx-button-content .dx-icon {
	color: var(--alfa-text-color-primary);
}


.dd-colorpicker-color-btn.selected {
	width: 3.75rem;
	height: 1.4375rem;
	border-left: 1px solid dimgrey;
	border-top: 1px solid dimgrey;
	border-right: 1px solid dimgrey;
	border-bottom: 0.25rem solid dimgrey;
}

.dd-colorpicker-color-btn.selected:focus {
		width: 3.75rem;
		height: 1.4375rem;
		border-left: 1px dotted dimgrey;
		border-top: 1px dotted dimgrey;
		border-right: 1px dotted dimgrey;
		border-bottom: 0.25rem solid dimgrey;
		cursor: pointer;
	}

.dd-colorpicker-color-btn:focus {
	width: 3.75rem;
	height: 1.25rem;
	border: 1px dotted dimgrey;
	cursor: pointer;
}

.dd-colorpicker-color-btn {
	width: 3.75rem;
	height: 1.25rem;
	border: 1px solid dimgrey;
	cursor: pointer;
}

.yfiles-stripe-resize-template,
.yfiles-stripe-selection-template,
.yfiles-stripe-drag-template {
	stroke: #3399ff;
	fill: #3399ff;
	stroke-opacity:1;
	fill-opacity:0.25;
}